Bug 1799427 - gnome-documents: FTBFS in Fedora rawhide/f32
Summary: gnome-documents: FTBFS in Fedora rawhide/f32
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: gnome-documents
Version: 32
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Elad Alfassa
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: F32FTBFS
TreeView+ depends on / blocked
 
Reported: 2020-02-06 17:02 UTC by Fedora Release Engineering
Modified: 2020-03-16 20:29 UTC (History)
8 users (show)

Fixed In Version: gnome-documents-3.34.0-4.fc32
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-03-16 20:15:15 UTC
Type: ---


Attachments (Terms of Use)
build.log (32.00 KB, text/plain)
2020-02-06 17:02 UTC, Fedora Release Engineering
no flags Details
root.log (32.00 KB, text/plain)
2020-02-06 17:02 UTC, Fedora Release Engineering
no flags Details
state.log (1.00 KB, text/plain)
2020-02-06 17:02 UTC, Fedora Release Engineering
no flags Details

Description Fedora Release Engineering 2020-02-06 17:02:05 UTC
gnome-documents failed to build from source in Fedora rawhide/f32

https://koji.fedoraproject.org/koji/taskinfo?taskID=41317527


For details on the mass rebuild see:

https://fedoraproject.org/wiki/Fedora_32_Mass_Rebuild
Please fix gnome-documents at your earliest convenience and set the bug's status to
ASSIGNED when you start fixing it. If the bug remains in NEW state for 8 weeks,
gnome-documents will be orphaned. Before branching of Fedora 33,
gnome-documents will be retired, if it still fails to build.

For more details on the FTBFS policy, please visit:
https://fedoraproject.org/wiki/Fails_to_build_from_source

Comment 1 Fedora Release Engineering 2020-02-06 17:02:08 UTC
Created attachment 1659099 [details]
build.log

file build.log too big, will only attach last 32768 bytes

Comment 2 Fedora Release Engineering 2020-02-06 17:02:10 UTC
Created attachment 1659100 [details]
root.log

file root.log too big, will only attach last 32768 bytes

Comment 3 Fedora Release Engineering 2020-02-06 17:02:11 UTC
Created attachment 1659101 [details]
state.log

Comment 4 Ben Cotton 2020-02-11 17:07:44 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 32 development cycle.
Changing version to 32.

Comment 5 Fedora Release Engineering 2020-02-16 04:24:31 UTC
Dear Maintainer,

your package has not been built successfully in 32. Action is required from you.

If you can fix your package to build, perform a build in koji, and either create
an update in bodhi, or close this bug without creating an update, if updating is
not appropriate [1]. If you are working on a fix, set the status to ASSIGNED to
acknowledge this. Following the latest policy for such packages [2], your package
will be orphaned if this bug remains in NEW state more than 8 weeks.

A week before the mass branching of Fedora 33 according to the schedule [3],
any packages not successfully rebuilt at least on Fedora 31 will be
retired regardless of the status of this bug.

[1] https://fedoraproject.org/wiki/Updates_Policy
[2] https://docs.fedoraproject.org/en-US/fesco/Fails_to_build_from_source_Fails_to_install/
[3] https://fedoraproject.org/wiki/Releases/33/Schedule

Comment 6 Yaroslav Fedevych 2020-02-25 23:08:13 UTC
The package fails to build because it invokes Inkscape to convert a SVG into PDF incorrectly.

----------------------
[20/45] /usr/bin/inkscape -z -A getting-started/landing.pdf ../getting-started/C/landing.svg
FAILED: getting-started/landing.pdf 
/usr/bin/inkscape -z -A getting-started/landing.pdf ../getting-started/C/landing.svg
Unable to init server: Could not connect: Connection refused
Unknown option -A
----------------------

The option was there in Inkscape 0.92.x, but Fedora 32 (and even Fedora 31, via update) sports a beta of Inkscape 1.0, which doesn't have this option anymore. Case in point, building the Fedora 31 version of the package fails just the same.

The most straightforward way to fix that command would be to change -A to -o:

/usr/bin/inkscape -z -o getting-started/landing.pdf ../getting-started/C/landing.svg

This patch is enough to make the package build:

diff --git a/getting-started/meson.build b/getting-started/meson.build
index 4cb4fe7..4b87e2f 100644
--- a/getting-started/meson.build
+++ b/getting-started/meson.build
@@ -21,7 +21,7 @@ foreach lingua: linguas
       source,
       input: join_paths(lingua, source + '.svg'),
       output: source + '.pdf',
-      command: [inkscape, '-z', '-A', '@OUTPUT@', '@INPUT@']
+      command: [inkscape, '-z', '-o', '@OUTPUT@', '@INPUT@']
     )
   endforeach

Comment 7 Kalev Lember 2020-02-26 13:13:40 UTC
Ah nice! Thanks for figuring this out.

I've forwarded the patch upstream: https://gitlab.gnome.org/GNOME/gnome-documents/-/merge_requests/31

Comment 8 Fedora Update System 2020-02-26 13:30:33 UTC
FEDORA-2020-a5edfbb616 has been submitted as an update to Fedora 32. https://bodhi.fedoraproject.org/updates/FEDORA-2020-a5edfbb616

Comment 9 Yaroslav Fedevych 2020-02-26 14:08:22 UTC
I'm afraid that for good upstreaming, patch would need to be modified to somehow cover both Inkscape 0.92 and 1.0, because the upstream has to deal with different distros which might be more lukewarm towards allowing beta software into their main repositories. (1.0.0 is in beta, it's not released yet and the development pace is rather glacial when I last looked.)

A rather unfortunate move on Inkscape's part by not providing the old switches, at least with big fat deprecation warnings. :-(

Comment 10 Fedora Update System 2020-02-28 01:27:05 UTC
gnome-documents-3.34.0-4.fc32 has been pushed to the Fedora 32 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2020-a5edfbb616

Comment 11 Fedora Update System 2020-03-16 20:15:15 UTC
gnome-documents-3.34.0-4.fc32 has been pushed to the Fedora 32 stable repository. If problems still persist, please make note of it in this bug report.

Comment 12 Fedora Update System 2020-03-16 20:29:11 UTC
gnome-documents-3.34.0-4.fc32 has been pushed to the Fedora 32 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.